package edu.uprm.walsaip.vte.core.datatypes;


/**
 * @author Ricardo Veguilla
 * 
 */
public class Vertex extends Vector{

	public Vertex() {
		super();
	}

	public Vertex(float[] points) {
		super(points);
	}

	public Vertex(float x, float y, float z) {
		super(x,y,z);
	}

	public Vertex(float x, float y, float z, float w) {
		super(x,y,z,w);
	}
	
	public static Vertex newInstance(Vertex v) {
		Vertex n = new Vertex();
		n.array[0] = v.array[0];
		n.array[1] = v.array[1];
		n.array[2] = v.array[2];
		n.array[3] = v.array[3];
		return n;
	}
}
